ID CVE-2019-1003079
Summary A missing permission check in Jenkins VMware Lab Manager Slaves Plugin in the LabManager.DescriptorImpl#doTestConnection form validation method allows attackers with Overall/Read permission to initiate a connection to an attacker-specified server.
References
Vulnerable Configurations
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:-:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:-:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.4:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.4:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.5:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.5:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.6:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.6:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.8:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.8:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.9:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.1.9:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.0:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.0:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.1:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.1:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.2:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.2:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.3:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.3:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.4:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.4:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.5:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.5:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.6:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.6:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.7:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.7:*:*:*:*:jenkins:*:*
  • cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.8:*:*:*:*:jenkins:*:*
    cpe:2.3:a:jenkins:vmware_lab_manager_slaves:0.2.8:*:*:*:*:jenkins:*:*
CVSS
Base: 4.0 (as of 15-07-2020 - 14:03)
Impact:
Exploitability:
CWE CWE-862
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW SINGLE
Impact
ConfidentialityIntegrityAvailability
NONE PARTIAL NONE
cvss-vector via4 AV:N/AC:L/Au:S/C:N/I:P/A:N
refmap via4
bid 107790
confirm https://jenkins.io/security/advisory/2019-04-03/#SECURITY-979
mlist [oss-security] 20190413 Re: Multiple vulnerabilities in Jenkins plugins
Last major update 15-07-2020 - 14:03
Published 04-04-2019 - 16:29
Last modified 15-07-2020 - 14:03
Back to Top